Summary:	MATE keyboard libraries
Summary(pl.UTF-8):	Biblioteki MATE do obsługi klawiatury
Name:		libmatekbd
Version:	1.28.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	https://pub.mate-desktop.org/releases/1.28/%{name}-%{version}.tar.xz
# Source0-md5:	ab55ef1483f6b0c8beb934763dbb23ce
URL:		https://wiki.mate-desktop.org/mate-desktop/libraries/libmatekbd/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	libtool
BuildRequires:	libxklavier-devel >= 5.2
BuildRequires:	mate-common >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
Requires:	glib2 >= 1:2.50.0
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.22
Requires:	libxklavier >= 5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE keyboard libraries (fork of libgnomekbd).

%description -l pl.UTF-8
Biblioteki MATE do obsługi klawiatury (odgałęzienie z libgnomekbd).

%package devel
Summary:	Development files for libmatekbd
Summary(pl.UTF-8):	Pliki programistyczne bibliotek libmatekbd
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.50.0
Requires:	gtk+3-devel >= 3.22
Requires:	libxklavier-devel >= 5.2

%description devel
Development files for libmatekbd.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek libmatekbd.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# es_419 is bogus
# frp,ie,jv,ku_IQ,nah,nqo,pms,sco not supported by glibc
# es_ES,ur_PK are empty copies of es,ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{es_419,es_ES,frp,ie,jv,ku_IQ,nah,nqo,pms,sco,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%glib_compile_schemas

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libmatekbd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatekbd.so.6
%attr(755,root,root) %{_libdir}/libmatekbdui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatekbdui.so.6
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard-xkb.gschema.xml
%{_libdir}/girepository-1.0/Matekbd-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmatekbdui.so
%attr(755,root,root) %{_libdir}/libmatekbd.so
%{_includedir}/libmatekbd
%{_pkgconfigdir}/libmatekbd.pc
%{_pkgconfigdir}/libmatekbdui.pc
%{_datadir}/gir-1.0/Matekbd-1.0.gir
%changelog
* Tue May 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmatekbd.git;a=log;h=master

* Sat May 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 0ca2361
- updated to 1.28.0 (new sonames)

* Thu May 11 2023 Jan Palus <atler@pld-linux.org> d7e390b
- up to 1.26.1

* Wed Aug 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 65d5277
- updated URL and locale comments

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 51528ec
- up to 1.26.0

* Thu Aug 13 2020 Jan Palus <atler@pld-linux.org> 1c91574
- up to 1.24.1

* Mon Feb 10 2020 Jan Palus <atler@pld-linux.org> 13fa8ae
- up to 1.24.0

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> ed359f8
- up to 1.22.0

* Wed Jun 13 2018 Jan Palus <atler@pld-linux.org> 3aec886
- up to 1.20.2

* Mon Mar 26 2018 Jan Palus <atler@pld-linux.org> 01877ac
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 46603b6
- up to 1.20.0

* Mon Apr 10 2017 Jan Palus <atler@pld-linux.org> 92180f3
- up to 1.18.2

* Thu Apr 06 2017 Jan Palus <atler@pld-linux.org> 14399fe
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> eb3db89
- up to 1.18.0

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> bb53284
- up to 1.16.0

* Sat Jul 16 2016 Jakub Bogusz <qboosh@pld-linux.org> e9d47cf
- locales cleanup

* Sun May 22 2016 Jan Palus <atler@pld-linux.org> 38d1ea1
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 508925c
- up to 1.14.0

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> a21443b
- up to 1.12.1

* Fri Nov 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 026c348
- updated BRs

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 5bdf1cf
- up to 1.12.0

